com.impinj.octane

## Enum ReportMode

- java.lang.Object
- - java.lang.Enum<ReportMode>
  - - com.impinj.octane.ReportMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ReportMode>

      public enum ReportMode
      extends java.lang.Enum<ReportMode>

  The reader has several ways it can generate the tag reports that result from reader inventory operations.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BatchAfterStop` In this mode, the reader will collect and coalesce tag reports and send them the the current operation completes and the reader stops.
    `Individual` In this mode, the reader will send each tag observation as an individual report.
    `WaitForQuery` In this mode, the reader will hold and coalesce reports for the same tag.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static ReportMode` | `valueOf(int reportModeValue)`
    `static ReportMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ReportMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WaitForQuery

          public static final ReportMode WaitForQuery

      In this mode, the reader will hold and coalesce reports for the same tag. Reports will be held by the reader until the application issues a command to transmit the reports
      See Also:
        `ImpinjReader.queryTags()`

    - #### Individual

          public static final ReportMode Individual

      In this mode, the reader will send each tag observation as an individual report. No coalescing of tag reads is performed. Careful, you can get hundreds or even one thousand per second.

    - #### BatchAfterStop

          public static final ReportMode BatchAfterStop

      In this mode, the reader will collect and coalesce tag reports and send them the the current operation completes and the reader stops.

  - ### Method Detail

    - #### values

          public static ReportMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ReportMode c : ReportMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ReportMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static ReportMode valueOf(int reportModeValue)

      Parameters:
        `reportModeValue` - an integer value
      Returns:
        the enumeration object associated with this integer value

    - #### getValue

          public int getValue()

      Returns:
        an integer value of the enumeration object